- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# netapp_e_snapshot_group – NetApp E-Series manage snapshot groups

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Create, update, delete snapshot groups for NetApp E-series storage arrays

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password - / required |  | The password to authenticate with the SANtricity WebServices Proxy or embedded REST API.
api_url - / required |  | The url to the SANtricity WebServices Proxy or embedded REST API.
api_username - / required |  | The username to authenticate with the SANtricity WebServices Proxy or embedded REST API.
base_volume_name - / required |  | The name of the base volume or thin volume to use as the base for the new snapshot group. If a snapshot group with an identical `name` already exists but with a different base volume an error will be returned.
delete_limit - | Default: 30 | The automatic deletion indicator. If non-zero, the oldest snapshot image will be automatically deleted when creating a new snapshot image to keep the total number of snapshot images limited to the number specified. This value is overridden by the consistency group setting if this snapshot group is associated with a consistency group.
full_policy - | Choices: purgepit ← unknown failbasewrites __UNDEFINED | The behavior on when the data repository becomes full. This value is overridden by consistency group setting if this snapshot group is associated with a consistency group
name - / required |  | The name to give the snapshot group
repo_pct - | Default: 20 | The size of the repository in relation to the size of the base volume
rollback_priority - | Choices: highest high medium ← low lowest __UNDEFINED | The importance of the rollback operation. This value is overridden by consistency group setting if this snapshot group is associated with a consistency group
state - / required | Choices: present absent | Whether to ensure the group is present or absent.
storage_pool_name - / required |  | The name of the storage pool on which to allocate the repository volume.
validate_certs boolean | Choices: no yes ← | Should https certificates be validated?
warning_threshold - | Default: 80 | The repository utilization warning threshold, as a percentage of the repository volume capacity.

## Examples

    - name: Configure Snapshot group
      netapp_e_snapshot_group:
        ssid: "{{ ssid }}"
        api_url: "{{ netapp_api_url }}"
        api_username: "{{ netapp_api_username }}"
        api_password: "{{ netapp_api_password }}"
        validate_certs: "{{ netapp_api_validate_certs }}"
        base_volume_name: SSGroup_test
        name=: OOSS_Group
        repo_pct: 20
        warning_threshold: 85
        delete_limit: 30
        full_policy: purgepit
        storage_pool_name: Disk_Pool_1
        rollback_priority: medium

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message Sample: json facts for newly created snapshot group.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Hulquest (@hulquest)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.